Package org.pushingpixels.substance.internal.ui

# Class SubstanceColorChooserUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.ColorChooserUI
org.pushingpixels.substance.internal.contrib.randelshofer.quaqua.Quaqua13ColorChooserUI
org.pushingpixels.substance.internal.contrib.randelshofer.quaqua.Quaqua14ColorChooserUI
org.pushingpixels.substance.internal.ui.SubstanceColorChooserUI

public class SubstanceColorChooserUI extends Quaqua14ColorChooserUI
UI for color chooser in Substance look and feel. This UI delegate is removed in Lite versions of Substance.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.pushingpixels.substance.internal.contrib.randelshofer.quaqua.Quaqua14ColorChooserUI

`Quaqua14ColorChooserUI.PropertyHandler`

## Field Summary

### Fields inherited from class org.pushingpixels.substance.internal.contrib.randelshofer.quaqua.Quaqua13ColorChooserUI

`chooser, defaultChoosers, mainPanel, previewListener, previewPanel, propertyChangeListener`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceColorChooserUI()`

## Method Summary

Modifier and Type
Method
Description
`protected AbstractColorChooserPanel[]`
`createDefaultChoosers()`
`static ComponentUI`
`createUI(JComponent comp)`

### Methods inherited from class org.pushingpixels.substance.internal.contrib.randelshofer.quaqua.Quaqua14ColorChooserUI

`createPropertyChangeListener, installDefaults, installListeners, installPreviewPanel, installUI, uninstallDefaults, uninstallListeners`

### Methods inherited from class org.pushingpixels.substance.internal.contrib.randelshofer.quaqua.Quaqua13ColorChooserUI

`uninstallDefaultChoosers, uninstallUI`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, paint, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceColorChooserUI

public SubstanceColorChooserUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent comp)

### createDefaultChoosers

protected AbstractColorChooserPanel[] createDefaultChoosers()

Overrides:
  `createDefaultChoosers` in class `Quaqua13ColorChooserUI`